/* Mptn -- regexp-like pattern matcher suited for morphological analysis
 * Copyright (C) 2000  George Bronnikov
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

/*
  Basic types needed for mptn pattern matcher.

  $Id: mptn-types.h 1.2 Sun, 23 Jan 2000 20:56:51 -0600 goga $
*/
#ifndef MPTN_TYPES_H
#define MPTN_TYPES_H

typedef char chr;	/* May change to Unicode later */

/* Corresponding functions */
#define chra_cat	strcat
#define chra_copy 	strcpy
#define chra_len  	strlen
#define chra_ncopy	strncpy
#define chra_cmp	strcmp
#define chra_ncmp	strncmp
#define chra_find	strchr
#define chra_equal	g_str_equal
#define chra_hash	g_str_hash
#define chra_dup	g_strdup
#define chra_ndup	g_strndup
#define chra_quark_try_string g_quark_try_string
#define chra_quark_from_static_string g_quark_from_static_string
#define chra_quark_from_string g_quark_from_string
#define chra_quark_to_string g_quark_to_string

#endif /* Already included */
